MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005759ATutorInstallationpublic2017-02-17 10:402018-02-27 19:00
Reportergreg 
Assigned Togreg 
PrioritynormalSeveritymajorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version2.2.3Fixed in Version2.2.3 
Summary0005759: Deprecated Class with same funciton name in php7
DescriptionFunction names cannot be the same as class names in PHP 7


Message: PHP7 don`t use mysql librery, error install (don`t view mysql)
Deprecated: Methods with the same name as their class will not be constructors in a future version of PHP; Message has a deprecated constructor in J:\OpenServer\domains\atutor1\include\classes\Message\Message.class.php on line 20

Warning: Cannot modify header information - headers already sent by (output started at J:\OpenServer\domains\atutor1\include\classes\Message\Message.class.php:20) in J:\OpenServer\domains\atutor1\install\index.php on line 22

Warning: Cannot modify header information - headers already sent by (output started at J:\OpenServer\domains\atutor1\include\classes\Message\Message.class.php:20) in J:\OpenServer\domains\atutor1\install\index.php on line 23


Things to describe:
  Operating system ATutor is installed on - win 7
  ATutor version - 2.2.2 (night build )
  Patch #s applied - no
  ATutor theme name -
  PHP version - 7.0.8
  MySQL version - 5.0.12
  Webserver & version - apache 2 with PHP7x64 x64
  Copies of error messages -
  Changes to default settings - no
  Web browser being used - FF, Chrome
Steps To ReproduceFor now add ~E_DEPRECATED to line 18 of include/vitals.inc.php

define('AT_ERROR_REPORTING & ~E_DEPRECATED', E_ERROR | E_WARNING | E_PARSE);
TagsNo tags attached.
Affects versionSVN
SVN Revision#b1e9760..48ea7d6 master -> master
Attached Files

- Relationships
related to 0005806closedgreg Message class function deprecated 

-  Notes
(0007749)
greg (administrator)
2018-02-16 18:21

bump
(0007751)
greg (administrator)
2018-02-17 10:23

replace same name constructor with __construct()
(0007837)
greg (administrator)
2018-02-27 19:00

Resolved in 2.2.3

- Issue History
Date Modified Username Field Change
2017-02-17 10:40 greg New Issue
2018-02-16 18:21 greg Note Added: 0007749
2018-02-17 10:23 greg SVN Revision# => b1e9760..48ea7d6 master -> master
2018-02-17 10:23 greg Note Added: 0007751
2018-02-17 10:23 greg Status new => resolved
2018-02-17 10:23 greg Fixed in Version => 2.2.3
2018-02-17 10:23 greg Resolution open => fixed
2018-02-17 10:23 greg Assigned To => greg
2018-02-18 16:33 greg Relationship added related to 0005806
2018-02-27 19:00 greg Note Added: 0007837
2018-02-27 19:00 greg Status resolved => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker